%h3.page-title
  = t('merge_request_section.new_merge_request')
%p.slead
  = t('merge_request_section.from')
  %strong.monospace
    #{@merge_request.source_project_namespace}:#{@merge_request.source_branch}
  = t('merge_request_section.into')
  %strong.monospace
    #{@merge_request.target_project_namespace}:#{@merge_request.target_branch}

  %span.pull-right
    = link_to t('merge_request_section.change_branches'), new_project_merge_request_path(@project)

= form_for [@project, @merge_request], html: { class: "merge-request-form" } do |f|
  .panel.panel-default

    .panel-body
      .form-group
        .light
          = f.label :title do
            = t('merge_request_section.title') + " *"
        = f.text_field :title, class: "form-control input-lg js-gfm-input", maxlength: 255, rows: 5, required: true
      .form-group
        .light
          = f.label :description, t('merge_request_section.description')
        = f.text_area :description, class: "form-control js-gfm-input markdown-area", rows: 10
        .clearfix.hint
          .pull-left
            = t('merge_request_section.description_parsed')
            = link_to(t('merge_request_section.gitlab_markdown'), help_page_path("markdown", "markdown"), target: '_blank') + "."
          .pull-right
            = t('merge_request_section.attach_images') + " (JPG, PNG, GIF) " + t('merge_request_section.drag_drop')
            = link_to(t('merge_request_section.image_select'), '#', class: 'markdown-selector') + "."
        .error-alert
      .form-group
        .issue-assignee
          = f.label :assignee_id do
            %i.icon-user
            = t('merge_request_section.assign_to')
          %div
            = project_users_select_tag('merge_request[assignee_id]', placeholder: t('merge_request_section.select_user'), class: 'custom-form-control', selected: @merge_request.assignee_id, project_id: @merge_request.target_project_id)
            &nbsp;
            = link_to(t('merge_request_section.assign_to_me'), '#', class: 'btn assign-to-me-link')
      .form-group
        .issue-milestone
          = f.label :milestone_id do
            %i.icon-time
            = t('merge_request_section.milestone')
          %div= f.select(:milestone_id, milestone_options(@merge_request), { include_blank: t('merge_request_section.milestone_select') }, {class: 'select2'})
    .panel-footer
      - if @target_repo.contribution_guide
        - contribution_guide_url = project_blob_path(@target_project, tree_join(@target_repo.root_ref, @target_repo.contribution_guide.name))
        %p
          = t('merge_request_section.please_review')
          %strong
            = link_to(t('merge_request_section.guidelines_contribution'), contribution_guide_url)
          = t('merge_request_section.to_this_repo')
      = f.hidden_field :source_project_id
      = f.hidden_field :target_project_id
      = f.hidden_field :target_branch
      = f.hidden_field :source_branch
      = f.submit t('merge_request_section.submit'), class: "btn btn-create"

.mr-compare
  %div.panel.panel-default
    .panel-heading
      #{t('merge_request_section.commits')} (#{@commits.count})
    - if @commits.size > MergeRequestDiff::COMMITS_SAFE_SIZE
      %ul.well-list
        - Commit.decorate(@commits.first(MergeRequestDiff::COMMITS_SAFE_SIZE)).each do |commit|
          = render "projects/commits/inline_commit", commit: commit, project: @project
        %li.warning-row.unstyled
          #{t('merge_request_section.hidden_prevent', count: @commits.size - MergeRequestDiff::COMMITS_SAFE_SIZE)}
    - else
      %ul.well-list= render Commit.decorate(@commits), project: @project

  %h4
    = t('merge_request_section.changes')
  - if @diffs.present?
    = render "projects/commits/diffs", diffs: @diffs, project: @project
  - elsif @commits.size > MergeRequestDiff::COMMITS_SAFE_SIZE
    .bs-callout.bs-callout-danger
      %h4 #{t('merge_request_section.comparison_include')} #{MergeRequestDiff::COMMITS_SAFE_SIZE} #{t('merge_request_section.commits_small')}.
      %p
        = t('merge_request_section.preserve_performance_line_changes')


:javascript
  $('.assign-to-me-link').on('click', function(e){
    $('#merge_request_assignee_id').val("#{current_user.id}").trigger("change");
    e.preventDefault();
  });

  window.project_image_path_upload = "#{upload_image_project_path @project}";
